//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------
	
    /*
	*******************************************************************
	All examples in this support document are only intended
	to improve understanding of the functionality and 
	handling of the equipment. 
	Beijer Electronics AB cannot assume any liability if these
	examples are used in real applications.
	In view of the wide range of applications for this 
	equipment, users must acquire sufficient knowledge 
	themselves in order to ensure that it is correctly used in 
	their specific application. Persons responsible for the 
	application and the equipment must themselves 
	ensure that each application is in compliance with all 
	relevant requirements, standards and legislation in 
	respect to configuration and safety.
	Beijer Electronics AB will accept no liability for any 
	damage incurred during the installation or use of this 
	equipment.
	Beijer Electronics AB prohibits all modification, changes
	or conversion of the equipment.
	*******************************************************************
	*/

namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	using System.Drawing;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;
	using System.IO;
	using System.Reflection;
    
	public partial class Screen1
	{
		#region Constants
		// A constant that holds the name of the file.
		private const string STR_MyXmlFile = "MyXmlFile.xml";
		#endregion
   
		#region Private Properties
		/// <summary>
		/// Returns a path pointing to 'MyXmlFile.xml' in
		/// the application folder.
		/// </summary>
		private string FilePath
		{
			get { return Path.Combine(ApplicationPath, STR_MyXmlFile); }
		}

		/// <summary>
		/// Returns the application path. 
		/// The path differs on PC and in the Terminals.
		/// This way, you always get the path to where the program executes from.
		/// </summary>
		private string ApplicationPath
		{
			get { return Path.GetDirectoryName(Assembly.GetExecutingAssembly().ManifestModule.FullyQualifiedName); }
		}
		#endregion
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			// Creates a new 'MyXmlFile.xml' and writes the text from TextBox1 to it.
			Globals.XMLScriptModule.WriteText(FilePath, TextBox1.Text, false);
		}
		
		void Button2_Click(System.Object sender, System.EventArgs e)
		{
			// Loads 'MyXmlFile.xml' and returns the text in it to TextBox2.
			TextBox2.Text = Globals.XMLScriptModule.ReadText(FilePath);
		}

		void Button3_Click(System.Object sender, System.EventArgs e)
		{
			// Loads 'MyXmlFile.xml' and returns the xml in it to TextBox3.
			TextBox3.Text = Globals.XMLScriptModule.ReadXML(FilePath);
		}

		void Button4_Click(System.Object sender, System.EventArgs e)
		{
			// Loads 'MyXmlFile.xml' and appends the text from TextBox1 to it.
			Globals.XMLScriptModule.WriteText(FilePath, TextBox1.Text, true);
		}
	}
}
